%define	module	cssselect

Summary:	Library for parsing CSS3 selectors and translating them to XPath 1.0
Name:		python-%{module}
Version:	1.2.0
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url:		https://cssselect.readthedocs.io/
Source0:	https://github.com/scrapy/cssselect/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python3-devel

%description
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%package -n python3-%{module}
Summary:	serializer for literal Python expressions
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
cssselect parses CSS3 Selectors and translate them to XPath 1.0
expressions. Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssselect

%files -n python3-%{module} -f %{pyproject_files}
%doc AUTHORS CHANGES LICENSE README.rst


%changelog
* Mon Dec 11 2023 papoteur <papoteur> 1.2.0-3.mga10
+ Revision: 2017131
- rebuild for python3.12

* Thu Dec 07 2023 wally <wally> 1.2.0-2.mga10
+ Revision: 2015276
- rebuild for py3.12
- use %%pyproject_buildrequires

* Sat Sep 09 2023 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 1985593
- new 1.2.0

* Wed Mar 23 2022 umeabot <umeabot> 1.1.0-5.mga9
+ Revision: 1822789
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 1.1.0-4.mga9
+ Revision: 1775293
- Rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.1.0-3.mga9
+ Revision: 1707318
- rebuild for python 3.9
- use a named-versioned tarball

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1536343
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 zezinho <zezinho> 1.1.0-1.mga8
+ Revision: 1454153
- new version 1.1.0

* Sun Sep 15 2019 daviddavid <daviddavid> 1.0.3-4.mga8
+ Revision: 1441058
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 zezinho <zezinho> 1.0.3-3.mga7
+ Revision: 1351281
- rename python-cssselect to python2-cssselect

* Thu Sep 20 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1288557
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 zezinho <zezinho> 1.0.3-1.mga7
+ Revision: 1205125
- new version 1.0.3

* Tue Dec 12 2017 zezinho <zezinho> 1.0.1-1.mga7
+ Revision: 1182385
- new version

* Sat Aug 05 2017 pterjan <pterjan> 0.9.1-8.mga7
+ Revision: 1135354
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.9.1-7.mga6
+ Revision: 970682
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.9.1-6.mga6
+ Revision: 887535
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 750672
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-4.mga5
+ Revision: 728207
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 687951
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.1-2.mga5
+ Revision: 628535
- Rebuild for new Python

* Sat Feb 08 2014 dams <dams> 0.9.1-1.mga5
+ Revision: 585728
- new version 0.9.1

* Tue Oct 22 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 543046
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-3.mga4
+ Revision: 498322
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 0.8-2.mga4
+ Revision: 475522
- add python 3

* Fri Jun 28 2013 dams <dams> 0.8-1.mga4
+ Revision: 448090
- new version 0.8

* Mon Jan 28 2013 zezinho <zezinho> 0.6.1-1.mga3
+ Revision: 392966
- fix release tag
- spec cleanup
- imported package python-cssselect


* Tue May 08 2012 Lev Givon <lev@mandriva.org> 0.6.1-1
+ Revision: 797547
- imported package python-cssselect

